:root {
  --cursor-size: 15px;
  --cursor-color: rgb(238, 230, 208); /* dark red */
  --cursor-hover-scale: 2;
  --cursor-move-speed: 0s;
  --cursor-transition: 0.12s;
}

body:not(.no-custom-cursor) {
  cursor: none;
}

#custom-cursor {
  position: fixed;
  top: 0;
  left: 0;
  width: 0;
  height: 0;
  border-left: calc(var(--cursor-size) / 2) solid transparent;
  border-right: calc(var(--cursor-size) / 2) solid transparent;
  border-bottom: var(--cursor-size) solid var(--cursor-color); /* triangle */
  pointer-events: none;
  transform: translate3d(-50%, -50%, 0);
  transition: transform var(--cursor-move-speed) linear;
  z-index: 9999;
}

/* Hover state */
#custom-cursor.hovered {
  transform: translate3d(-50%, -50%, 0) scale(var(--cursor-hover-scale));
  transition: transform var(--cursor-transition) ease;
}

/* Hide on touch devices */
@media (hover: none), (pointer: coarse) {
  body:not(.no-custom-cursor) { cursor: auto; }
  #custom-cursor { display: none !important; }
}